<?php

namespace App\Form\Type;

use App\Entity\PrestataireProductFamily;
use App\Entity\ProductFamily;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;


class PrestataireProductFamilyFormType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('productFamily', EntityType::class, array(
                'class'     => ProductFamily::class,
                'choice_label' => 'name',
                'label' => 'Famille de produits ',
                'required' => true,
            ))
            ->add('products', TextType::class, [
                'label' => 'Produits ',
                'required' => true,
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => PrestataireProductFamily::class,
        ]);
    }

    public function getBlockPrefix()
    {
        return 'formPrestataireProductFamily';
    }
}
